#pragma once
#include <luna/Types.h>

extern "C"
{
    void* memcpy(void* dest, const void* src, usize n);
    void* memset(void* buf, int c, usize n);
    int memcmp(const void* a, const void* b, usize n);
    void* memmove(void* dest, const void* src, usize n);
    usize strlen(const char* str);
    int strcmp(const char* a, const char* b);

    usize wcslen(const wchar_t* str);

    char* strdup(const char* str);

    // Copies len bytes from src into dest and adds a null terminator.
    void nullcpy(char* dest, const char* src, usize len);
}